
library(inline)

src <- '
  NumericVector x1(xs);
  NumericVector x2(Rcpp::clone(xs));
  x1[0] = 22;
  x2[1] = 44;
  return(DataFrame::create(Named("orig", xs),
                           Named("x1", x1),
                           Named("x2", x2)));'
fun <- cxxfunction(signature(xs="numeric"),
                   body=src, plugin="Rcpp")
fun(seq(1.0, 3.0, by=1.0))
fun(1L:3L)
